######################################################################
# This is the area that you would put copyright messages and/or
# SCCS header information.  The text is stored in the file
# $fg/codegen/data/default.dat/sccs  Example:
#
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../gl.4gm/i_stdent.4gs/fg_funcs.4gl  1.1  Delta: 2/4/91
######################################################################

globals "globals.4gl"

define
    my_select_prep  char(1)

######################################################################
function lld_read()
######################################################################
# This function reads in the array elements from disk.
# It first reads the data into the m_* records, then calls
# p_prep for each array element.
#
    define
        row_id integer  # Rowid of the fetched element

    # Prepare the cursor upon first invocation
    if my_select_prep is null
    then
        let my_select_prep = "Y"
        let scratch = "select rowid, * from stgjourd ",
          "where stgjourd.doc_no = ?",
          "  and stgjourd.orig_journal = \"SJ\""
        prepare read_specs from scratch
        declare d_cursor cursor for read_specs
    end if

    # Read in the detail lines
    let p_cur = 0
    open d_cursor using m_gstder.doc_no
    foreach d_cursor into row_id, m_gjourd.*
        let p_cur = p_cur + 1
        if p_cur > rec1_max
        then
            let sqlca.sqlcode = -1
            return
        end if
        call lld_p_prep(p_cur)
        let q_gjourd[p_cur].row_id = row_id
    end foreach
    close d_cursor
    let rec1_cnt = p_cur
    call set_count(rec1_cnt)
    call lld_recalc()

end function
# lld_read()
